| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::WSSettings Class Reference
Inheritance diagram for Digikam::WSSettings:

## Public Types
enum | ImageFormat { JPEG = 0 , PNG }
enum | Selection { EXPORT = 0 , IMPORT }
| Images selection mode.
enum | WebService { FLICKR = 0 , DROPBOX , IMGUR , FACEBOOK , SMUGMUG , GDRIVE , GPHOTO }

## Public Member Functions
| WSSettings (QObject *const parent=nullptr)
QStringList | allUserNames (const QString &serviceName)
| Helper method to list all user accounts (of all web service) that user logged in before.
QString | format () const
void | readSettings (const KConfigGroup &group)
| Read and write settings in config file between sessions.
void | writeSettings (KConfigGroup &group)

## Static Public Member Functions
static QMap< WebService, QString > | webServiceNames ()
| Helper methods to fill settings from GUI.
static QMap< ImageFormat, QString > | imageFormatNames ()

## Public Attributes
bool | addFileProperties = false
qint64 | attLimitInMbytes = 17
QString | currentAlbumId
| Selected album to upload to.
int | imageCompression = 75
ImageFormat | imageFormat = JPEG
bool | imagesChangeProp = false
int | imageSize = 1024
QList< QUrl > | inputImages
| Selected items to upload.
QMap< QUrl, QUrl > | itemsList
| Map of original item and attached item (can be resized).
QSettings * | oauthSettings = nullptr
O0SettingsStore * | oauthSettingsStore = nullptr
bool | removeMetadata = false
Selection | selMode = EXPORT
| Items selection mode.
QString | userName
WebService | webService = FLICKR